### Function

# EDataServer util_utf8_normalize

since: 3.8

#### Declaration [src]

    gchar*
    e_util_utf8_normalize (
      const gchar* str
    )

#### Description [src]

Normalizes `str` by making it all lower case and removing any accents from it.

Available since: 3.8

#### Parameters

`str`

  Type: `const gchar*`

  A UTF-8 string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The normalized version of `str`, or `NULL` if `str` was not valid UTF-8.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.